Main Page Widgets Namespaces Book

# Gtk::ColorSelection Class Reference
[Widgets]

A widget used to select a color. More...

Inheritance diagram for Gtk::ColorSelection:

[legend]
List of all members.

## Public Methods

virtual | ~ColorSelection ()
GtkColorSelection* | gobj ()
const GtkColorSelection* | gobj () const
| ColorSelection ()
bool | get_has_opacity_control () const
| Determines whether the colorsel has an opacity control.
void | set_has_opacity_control (bool has_opacity=true)
| Sets the colorsel to use or not use opacity.
bool | get_has_palette () const
| Determines whether the color selector has a color palette.
void | set_has_palette (bool has_palette=true)
| Shows and hides the palette based upon the value of has_palette.
void | set_current_color (const Gdk::Color& color)
| Sets the current color to be color.
void | set_current_alpha (guint16 alpha)
| Sets the current opacity to be alpha.
Gdk::Color | get_current_color () const
guint16 | get_current_alpha () const
| Returns the maximum number of palette colors.
void | set_previous_color (const Gdk::Color& color)
| Sets the 'previous' color to be color.
void | set_previous_alpha (guint16 alpha)
| Sets the 'previous' alpha to be alpha.
Gdk::Color | get_previous_color () const
guint16 | get_previous_alpha () const
| Returns the previous alpha value.
bool | is_adjusting () const
| Gets the current state of the colorsel.
Glib::SignalProxy0<void> | signal_color_changed ()
Glib::PropertyProxy<bool> | property_has_palette ()
Glib::PropertyProxy<bool> | property_has_opacity_control ()
Glib::PropertyProxy<Gdk::Color> | property_current_color ()
Glib::PropertyProxy<guint> | property_current_alpha ()

## Protected Methods

virtual void | on_color_changed ()

## Related Functions

(Note that these are not member functions.)
Gtk::ColorSelection* | wrap (GtkColorSelection* object, bool take_copy=false)

## Detailed Description

A widget used to select a color.

This widget is used to select a color. It consists of a color wheel and number of sliders and entry boxes for color parameters such as hue, saturation, value, red, green, blue, and opacity.

It is found on the standard color selection dialog box Gtk::ColorSelectionDialog.

## Constructor & Destructor Documentation

virtual Gtk::ColorSelection::~ColorSelection | ( |  | ) | `[virtual]`

Gtk::ColorSelection::ColorSelection | ( |  | ) |

## Member Function Documentation

guint16 Gtk::ColorSelection::get_current_alpha | ( |  | ) |

Returns the maximum number of palette colors.

Returns:
  The maximum number of palette indexes.

Gdk::Color Gtk::ColorSelection::get_current_color | ( |  | ) |

bool Gtk::ColorSelection::get_has_opacity_control | ( |  | ) |

Determines whether the colorsel has an opacity control.

Returns:
  `true` if the colorsel has an opacity control. `false` if it does't.

bool Gtk::ColorSelection::get_has_palette | ( |  | ) |

Determines whether the color selector has a color palette.

Returns:
  `true` if the selector has a palette. `false` if it hasn't.

guint16 Gtk::ColorSelection::get_previous_alpha | ( |  | ) |

Returns the previous alpha value.

Returns:
  An integer between 0 and 65535.

Gdk::Color Gtk::ColorSelection::get_previous_color | ( |  | ) |

const GtkColorSelection* Gtk::ColorSelection::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::VBox.

GtkColorSelection* Gtk::ColorSelection::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::VBox.

bool Gtk::ColorSelection::is_adjusting | ( |  | ) |

Gets the current state of the colorsel.

Returns:
  `true` if the user is currently dragging a color around, and `false` if the selection has stopped.

virtual void Gtk::ColorSelection::on_color_changed | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy<guint> Gtk::ColorSelection::property_current_alpha | ( |  | ) |

Glib::PropertyProxy<Gdk::Color> Gtk::ColorSelection::property_current_color | ( |  | ) |

Glib::PropertyProxy<bool> Gtk::ColorSelection::property_has_opacity_control | ( |  | ) |

Glib::PropertyProxy<bool> Gtk::ColorSelection::property_has_palette | ( |  | ) |

void Gtk::ColorSelection::set_current_alpha | ( | guint16 | alpha | ) |

Sets the current opacity to be alpha.

The first time this is called, it will also set the original opacity to be alpha too.

Parameters:

  alpha | An integer between 0 and 65535.

void Gtk::ColorSelection::set_current_color | ( | const Gdk::Color& | color | ) |

Sets the current color to be color.

The first time this is called, it will also set the original color to be color too.

Parameters:

  color | A Gdk::Color to set the current color with.

void Gtk::ColorSelection::set_has_opacity_control | ( | bool | has_opacity = true | ) |

Sets the colorsel to use or not use opacity.

Parameters:

  has_opacity | `true` if colorsel can set the opacity, `false` otherwise.

void Gtk::ColorSelection::set_has_palette | ( | bool | has_palette = true | ) |

Shows and hides the palette based upon the value of has_palette.

Parameters:

  has_palette | `true` if palette is to be visible, `false` otherwise.

void Gtk::ColorSelection::set_previous_alpha | ( | guint16 | alpha | ) |

Sets the 'previous' alpha to be alpha.

This function should be called with some hesitations, as it might seem confusing to have that alpha change.

Parameters:

  alpha | An integer between 0 and 65535.

void Gtk::ColorSelection::set_previous_color | ( | const Gdk::Color& | color | ) |

Sets the 'previous' color to be color.

This function should be called with some hesitations, as it might seem confusing to have that color change. Calling set_current_color() will also set this color the first time it is called.

Parameters:

  color | A Gdk::Color to set the previous color with.

Glib::SignalProxy0<void> Gtk::ColorSelection::signal_color_changed | ( |  | ) |

Prototype:
  `void color_changed()`

## Friends And Related Function Documentation

Gtk::ColorSelection* wrap | ( | GtkColorSelection* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- colorselection.h